# Class CIM_LocalizationCapabilities
extends CIM_Capabilities

This class is being deprecated to avoid conflicts with localization implementations using CIM/XML over HTTP protocol, the preferred mechanism. Describes the input and output localization capabilities of the entity associated via ElementCapabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_LocalizationCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | No value
Description | string | This class is being deprecated to avoid conflicts with localization implementations using CIM/XML over HTTP protocol, the preferred mechanism. Describes the input and output localization capabilities of the entity associated via ElementCapabilities.
UMLPackagePath | string | CIM::Core::Capabilities
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SupportedInputLocales | string[] |
Deprecated | string | No value

Description

string

This property, along with locale properties in (for example) a SettingData class, specifies the locale for data consumed by a ManagedElement. A locale indicates a particular geographical, political, or cultural region. The SupportedInputLocales property is an array of strings whose entries specify one or more languages that can be used in the formulation of information input by a client. It may be defined by the ManagedElement or client as an input parameter to a method, as a Setting or SettingData property, or via other mechanisms. The SupportedInputLocales property publishes an element's support of various locales for input data. The first array entry MUST define the default locale (the natural language associated with the ManagedElement). If the SupportedInputLocales property is empty, it is assumed that the default locale is en_US (English). Each array entry consists of three sub-strings, separated by underscores: - The first sub-string is the language code, as specified in ISO639. - The second sub-string is the country code, as specified in ISO3166. - The third sub-string is a variant, which is vendor specific. For example, US English appears as: "en_US_WIN", where the "WIN" variant would specify a Windows browser-specific collation (if one exists). Since the variant is not standardized, it is not commonly used and is generally limited to easily recognizable values ("WIN", "UNIX", "EURO", etc.) used in standard environments. The language and country codes are required; the variant may be empty.

SupportedOutputLocales | string[] |
Deprecated | string | No value

Description

string

This property, along with locale properties in (for example) a SettingData class, specifies the locale for data produced by a ManagedElement. A locale indicates a particular geographical, political, or cultural region. The SupportedOutputLocales property is an array of strings whose entries specify one or more languages that can be used in the formulation of information requested by and delivered to a client. It may be defined by the ManagedElement or client as an input parameter to a method, as a Setting or SettingData property, or via other mechanisms. Note that more than one locale may be specified in this array and later selected for output. If multiple locales are selected, information MUST be returned in each language specified, and indicated as supported by this Capabilities instance. The SupportedOutputLocales property publishes an element's support of various locales for output data. The first array entry MUST define the default locale (the natural language associated with the ManagedElement). If the SupportedOutput Locales property is empty, it is assumed that the default locale is en_US (English). Each array entry consists of three sub-strings, separated by underscores: - The first sub-string is the language code, as specified in ISO639. - The second sub-string is the country code, as specified in ISO3166. - The third sub-string is a variant, which is vendor specific. For example, US English appears as: "en_US_WIN", where the "WIN" variant would specify a Windows browser-specific collation (if one exists). Since the variant is not standardized, it is not commonly used and is generally limited to easily recognizable values ("WIN", "UNIX", "EURO", etc.) used in standard environments. The language and country codes are required; the variant may be empty.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods